Skip to main content
POST
/
accessories
Create an accessory
curl --request POST \
  --url https://api.getprimo.com/accessories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "MONITOR",
  "ownerId": "<string>",
  "brand": "<string>",
  "model": "<string>",
  "serialNumber": "<string>",
  "tags": [
    "<string>"
  ],
  "description": "<string>",
  "condition": "NEW"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "MONITOR",
  "tags": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "ownerId": "<string>",
  "brand": "<string>",
  "model": "<string>",
  "serialNumber": "<string>",
  "description": "<string>",
  "condition": "NEW"
}
Key: Write Scope: Company

Authorizations

Authorization
string
header
required

Use your Primo API key in the Authorization header as Bearer <API_KEY>.

Body

application/json
name
string
required
Minimum string length: 1
type
enum<string>
required
Available options:
MONITOR,
KEYBOARD,
MOUSE,
MOUSEPAD,
WEBCAM,
HEADSET,
SPEAKER,
CABLE_ADAPTER,
HUB,
CHARGER,
STORAGE_DEVICE,
LAPTOP_CASE,
ERGONOMIC,
SHIPPING_MATERIAL,
FIDO_KEY,
ACCESS_CARD,
NETWORK_DEVICE,
FIREWALL,
ROUTER,
SWITCH,
OTHER
ownerId
string | null

Employee ID to assign the accessory to

Pattern: ^[a-f\d]{24}$
brand
string | null
model
string | null
serialNumber
string | null
tags
string[]
description
string | null
condition
enum<string> | null

Accessory condition. Set to null to clear the current condition.

Available options:
NEW,
GOOD,
DAMAGED,
UNUSABLE

Response

default - application/json
id
string
required
name
string
required
type
enum<string>
required
Available options:
MONITOR,
KEYBOARD,
MOUSE,
MOUSEPAD,
WEBCAM,
HEADSET,
SPEAKER,
CABLE_ADAPTER,
HUB,
CHARGER,
STORAGE_DEVICE,
LAPTOP_CASE,
ERGONOMIC,
SHIPPING_MATERIAL,
FIDO_KEY,
ACCESS_CARD,
NETWORK_DEVICE,
FIREWALL,
ROUTER,
SWITCH,
OTHER
tags
string[]
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
ownerId
string | null

Employee ID currently assigned to this accessory

brand
string | null
model
string | null
serialNumber
string | null
description
string | null

Free-form accessory description

condition
enum<string> | null

Current accessory condition. Null when condition is not specified.

Available options:
NEW,
GOOD,
DAMAGED,
UNUSABLE